import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/asnDetail',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/asnDetail/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/asnDetail',
    method: 'put',
    data
  })
}
//修改容器
export function updateContainer(data) {
  return request({
    url: 'api/asnDetail/updateContainer'+"?stockId="+data.id,
    method: 'put',
    data:data.data
  })
}

export function doCheckAsn(ids) {
  return request({
    url: 'api/asnDetail/checkAsn',
    method: 'put',
    data:ids
  })
}

export function collectMOCreate(data) {
  return request({
    url: 'api/asnDetail/createMoInfo',
    method: 'post',
    data
  })
}

export default { add, del,edit,doCheckAsn,collectMOCreate,updateContainer}
